using System;
using System.Data;

/// <summary>
/// I_Message 的摘要说明
/// </summary>
namespace Message
{
    public interface IMessage
    {
        int Insert(TMessage us);                     //添加留言信息
        int Update(TMessage us);                     //修改留言信息
        int Delete(int id);                          //根据公司id删除留言信息
        DataTable GetDataTable();                    //得到留言信息
        DataTable GetDataTable(string[] parameter);  //根据留言标题、留言状态、留言时间查询留言信息
        DataTable GetDataTable(string[] parameter, int intPageIndex, out int intCount);  //根据留言标题、留言状态、留言时间查询留言信息
        TMessage GateItem(int id);                   //根据id得到留言信息
    }
}
